Differences from squid-2.5.STABLE14 to squid-2.5.STABLE14-20060721
diff -ruN squid-2.5.STABLE14/ChangeLog squid-2.5.STABLE14-20060721/ChangeLog
--- squid-2.5.STABLE14/ChangeLog	Sat May 20 07:35:33 2006
+++ squid-2.5.STABLE14-20060721/ChangeLog	Sat May 20 08:17:26 2006
@@ -1,11 +1,11 @@
 Changes to squid-2.5.STABLE14 (20 May 2006)
 	- [Minor] icons not displayed when visible_hostname is a
-	  short hostname (witout domain). (Bug #1532)
+	  short hostname (without domain). (Bug #1532)
 	- [Medium] Memleak in HTCP client code (default disabled)
 	  (Bug #1553)
 	- [Major] memory leak in ident processing (Bug #1557)
 	- [Medium] Memory leak in header processing related to external_acl
-	  header detail format tag
+	  header detail format tag (Bug #1564)
 
 Changes to squid-2.5.STABLE13 (12 Mar 2006)
 	- [Minor] Fails to compile on Solaris and some other platforms
diff -ruN squid-2.5.STABLE14/configure squid-2.5.STABLE14-20060721/configure
--- squid-2.5.STABLE14/configure	Sat May 20 07:43:18 2006
+++ squid-2.5.STABLE14-20060721/configure	Thu Jul 20 18:13:12 2006
@@ -1027,7 +1027,7 @@
 
 # Define the identity of the package.
 PACKAGE=squid
-VERSION=2.5.STABLE14
+VERSION=2.5.STABLE14-20060721
 cat >> confdefs.h <<EOF
 #define PACKAGE "$PACKAGE"
 EOF
diff -ruN squid-2.5.STABLE14/configure.in squid-2.5.STABLE14-20060721/configure.in
--- squid-2.5.STABLE14/configure.in	Sat May 20 07:43:18 2006
+++ squid-2.5.STABLE14-20060721/configure.in	Thu Jul 20 18:13:12 2006
@@ -9,7 +9,7 @@
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_AUX_DIR(cfgaux)
-AM_INIT_AUTOMAKE(squid, 2.5.STABLE14)
+AM_INIT_AUTOMAKE(squid, 2.5.STABLE14-20060721)
 AM_CONFIG_HEADER(include/autoconf.h)
 AC_REVISION($Revision: 1.251.2.109 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
diff -ruN squid-2.5.STABLE14/include/version.h squid-2.5.STABLE14-20060721/include/version.h
--- squid-2.5.STABLE14/include/version.h	Sat May 20 07:43:18 2006
+++ squid-2.5.STABLE14-20060721/include/version.h	Fri Aug 31 05:19:09 2001
@@ -9,5 +9,5 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1148132595
+#define SQUID_RELEASE_TIME squid_curtime
 #endif
diff -ruN squid-2.5.STABLE14/src/client_side.c squid-2.5.STABLE14-20060721/src/client_side.c
--- squid-2.5.STABLE14/src/client_side.c	Fri Mar 10 15:58:35 2006
+++ squid-2.5.STABLE14-20060721/src/client_side.c	Fri Jun  2 16:00:34 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.561.2.96 2006/03/10 22:58:35 hno Exp $
+ * $Id: client_side.c,v 1.561.2.97 2006/06/02 22:00:34 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -2031,8 +2031,6 @@
 		http->entry = clientCreateStoreEntry(http, http->request->method,
 		    null_request_flags);
 		errorAppendEntry(http->entry, err);
-		httpReplyDestroy(http->reply);
-		http->reply = NULL;
 		memFree(buf, MEM_CLIENT_SOCK_BUF);
 		return;
 	    }
@@ -2067,8 +2065,6 @@
 		    http->entry = clientCreateStoreEntry(http, http->request->method,
 			null_request_flags);
 		    errorAppendEntry(http->entry, err);
-		    httpReplyDestroy(http->reply);
-		    http->reply = NULL;
 		    memFree(buf, MEM_CLIENT_SOCK_BUF);
 		    return;
 		}
diff -ruN squid-2.5.STABLE14/src/forward.c squid-2.5.STABLE14-20060721/src/forward.c
--- squid-2.5.STABLE14/src/forward.c	Fri Mar 10 15:54:38 2006
+++ squid-2.5.STABLE14-20060721/src/forward.c	Wed Jun 21 06:25:10 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: forward.c,v 1.82.2.17 2006/03/10 22:54:38 hno Exp $
+ * $Id: forward.c,v 1.82.2.18 2006/06/21 12:25:10 hno Exp $
  *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
@@ -380,6 +380,12 @@
 	    if (!fs->peer)
 		fwdState->origin_tries++;
 	    comm_add_close_handler(fd, fwdServerClosed, fwdState);
+	    if (fs->peer)
+		hierarchyNote(&fwdState->request->hier, fs->code, fs->peer->host);
+	    else if (Config.onoff.log_ip_on_direct && fs->code == DIRECT)
+		hierarchyNote(&fwdState->request->hier, fs->code, fd_table[fd].ipaddr);
+	    else
+		hierarchyNote(&fwdState->request->hier, fs->code, fwdState->request->host);
 	    fwdConnectDone(fd, COMM_OK, fwdState);
 	    return;
 	} else {
